Bug 652076 - message list panel (top-right) broken with current Rawhide
message list panel (top-right) broken with current Rawhide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
19
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Patch, Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-10 17:58 EST by Adam Williamson
Modified: 2013-04-08 17:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 17:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
broken evo screenshot (154.00 KB, image/png)
2010-11-10 17:59 EST, Adam Williamson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 633701 None None None Never

  None (edit)
Description Adam Williamson 2010-11-10 17:58:22 EST
After today's Rawhide update, which got me:

    Updated evolution-2.91.1-3.fc15.x86_64
    Updated evolution-data-server-2.91.1-2.fc15.x86_64
    Updated evolution-data-server-debuginfo-2.91.1-2.fc15.x86_64
    Updated evolution-data-server-devel-2.91.1-2.fc15.x86_64
    Updated evolution-data-server-doc-2.91.1-2.fc15.noarch
    Updated evolution-debuginfo-2.91.1-3.fc15.x86_64
    Updated evolution-perl-2.91.1-3.fc15.x86_64


evo's mail list pane - the top-right pane in a default three-pane config - is broken. Usually it just shows blank grey. Sometimes if I click through a lot of folders it'll show up with the list from one of those folders, but *not* the last one I clicked on (can't reproduce this much though). Will attach a screenshot.

Before this update it worked fine. High severity as this makes Evo pretty much useless.
Comment 1 Adam Williamson 2010-11-10 17:59:16 EST
Created attachment 459571 [details]
broken evo screenshot

voila - note top-right pane
Comment 2 Adam Williamson 2010-11-10 20:00:18 EST
with further experimentation, it seems this is a *rendering* issue only: the pane works as it should, if I click in different bits of it, different emails appear in the view pane. But it's not displayed correctly at all.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Adam Williamson 2010-11-10 20:02:29 EST
aha, I think I have it.

straceing the udevadm command, I see:

lstat("/dev/.udev/db/sound:card1", 0x7fff1e1c97e0) = -1 EACCES (Permission denied)
lstat("/dev/.udev/db/sound:card1", 0x7fff1e1c97f0) = -1 EACCES (Permission denied)
lstat("/dev/.udev/db/sound:card1", 0x7fff1e1c97f0) = -1 EACCES (Permission denied)
lstat("/dev/.udev/db/sound:card1", 0x7fff1e1c93b0) = -1 EACCES (Permission denied)
lstat("/dev/.udev/db/sound:card1", 0x7fff1e1c93a0) = -1 EACCES (Permission denied)

indeed:

[adamw@adam ~]$ ls -l /dev/.udev/
ls: cannot open directory /dev/.udev/: Permission denied

[root@adam adamw]# ls -dl /dev/.udev/
drwxrwx---. 7 root root 160 Nov 10 16:55 /dev/.udev/

so, what sets the permissions on /dev/.udev ?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Adam Williamson 2010-11-10 20:04:33 EST
damn, ignore the above comment, it was meant for a different bug :)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Matthew Barnes 2010-11-10 20:16:58 EST
This is a GTK+ issue.  Benjamin figured it out for me on Monday.

You need this commit:
http://git.gnome.org/browse/gtk+/commit/?h=gtk-2-24&id=bf395263b289b7b6c62bc3c420a5dc82cef757f6
Comment 6 Adam Williamson 2010-11-10 21:13:54 EST
confirmed, that fixes it. I can push the fix for gtk2 if you want, or leave it to mclasen...whichever.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Adam Williamson 2010-11-10 21:14:07 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Matthias Clasen 2010-11-10 22:51:40 EST
We'll get that fix with 2.23.2 - feel free to build that if you don't want to wait for me to get around to pushing rawhide updates.
Comment 9 Milan Crha 2010-11-11 03:08:41 EST
Will there be something similar for Fedora 14 too, please? Evolution claims it can run with gtk2 from there, but it suffers of the same issue in the message list.
Comment 10 Fedora End Of Life 2013-04-03 14:48:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.